<?php
  include_once("../header.php");
        include_once("../php/config.php");
?>
<script>
///....
	if(myLevel!="Master"){
		alert("No tiene acceso a este modulo del sitema")
		window.location.href="../menu/menu.php";
		
	}
</script>

<style>
  .form-control{
    font-size: 16px;
	font-weight:bolder;
  }


label{
    font-size: 16px;
  }

td,th{
	font-size:16px;
	font-weight:bolder;
}

</style>
    <div class="container">

	
        <span class="text-primary h2"><i class="bi bi-box"></i> Costo de inventario</span><br>
		<div class="row">
			<div class="col-md-12">
	  
                           
                       
                      
                            
							
  <div class="row">
    <div class="col-md-2  mt-2 mb-2">
             <a class="bold btn btn-success" href="../productos/productos.php" ><b><i class="fa fa-plus fa-lg"></i> Nuevo producto</a></b>
            
</div>

 <div class="col-md-2  mt-2 mb-2">
<select class="form-control" id="almacen" onChange="lista()" style="font-weight:bolder">

                            
                                <?php $sql2 = mysql_query("select * from almacen order by nombre asc")?>

                                <?php while ($r = mysql_fetch_array($sql2)) { ?>
                                    <option value="<?php echo $r['nombre'] ?>">(<?php echo $r['id_almacen'] ?>)<?php echo $r['nombre'] ?></option>
                                <?php } ?>
</select> 
  </div> 



     <div class="col-md-2 mb-2  mt-2">
   <input type="search" id="txt_buscar"   onKeyup="lista()" class="form-control" value="<?php echo $_GET['filtro']?>" placeholder="Escriba para buscar...">
 </div>
    <div class="col-md-2 mb-2  mt-2">
   <button class="btn btn-success" onClick="lista()"><i class="fa fa-search"></i><b> Buscar mercancia</b></button>
 </div>

  
  
  <div class="col-md-4 mb-2  mt-2">
    <!--button class="ml-2 btn  btn-primary" href="kardex.php"><i class="fa fa-coins fa-lg"></i> 
	 <span id="datos"><b>Costo de invnetario:</b> (Click en buscar...)  </span>
	</button-->
	
  </div>
  </div>
  <hr>
  

        <script type="text/javascript">
          function modalProducto(){
            $("#modalProducto").modal('show');
            setTimeout(function(){
             $("#frm").trigger('reset'); 
            },500)
            
        }
        </script>

                        
                    
     Mostrando un maximo de 200 Items (Para mostrar el producto deseado, indique las iniciales en la barra de busqueda)              
      
      <div id="lista" class="border table-responsive p-3">
      <?php 
	    include_once 'lista_main.php';
	  ?>
      
      
	 </div>
    </div>

	 </div>		    
    </div>

	<!---Modal inventario-->
	<div class="modal" id="modalInventario" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h2 class="modal-title text-success" id="exampleModalLabel"><i class="fa  fa-edit"></i> Actualizar inventario</h2>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>
          <div class="modal-body">
		<a href="#" onClick="barcode()" class="btn btn-info"><i class="fa fa-barcode fa-lg"></i> Imprimir etiquetas</a>
		<hr>
		  <form name="frm" action="" method="POST" id="frm">
			 
     

        <div class="row">
  				<label for="id" class="col-sm-2 col-form-label" >Id</label>
  				<div class="col-sm-3">
  				  <input autocomplete="off"  disabled type="text"  class="form-control  mb-2" id="id" value="" disabled>
  				</div>
			  </div>
			  
			   <div class="row">
          <label for="id" class="col-sm-2 col-form-label" >Nombre</label>
          <div class="col-sm-9">
            <input autocomplete="off"  disabled type="text"  class="form-control mb-2 font-weight-bolde" id="nombre" name="nombre" value="">
          </div>
        </div>

         <div class="row">
          <label for="codigo" class="col-sm-2 col-form-label" >Codigo</label>
          <div class="col-sm-4">
            <input autocomplete="off"  disabled type="text"  class="form-control mb-2" id="codigo" name="codigo" value="" disabled>
          </div>
		  
		   <label for="relacion" class="col-sm-2 col-form-label" >Relacion</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold text-primary" id="relacion" name="relacion" value="" disabled>
          </div>
        </div>

			  
         <div class="row">
          <label for="precio" class="col-sm-2 col-form-label" >Precio  1</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="precio" name="precio" value="" disabled>
          </div>
        </div>
		   <div class="row">
          <label for="precio2" class="col-sm-2 col-form-label" >Precio 2</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold" id="precio2" name="precio2" value="" disabled>
          </div>
        </div>

        <div class="row">
          <label for="costo" class="col-sm-2 col-form-label" >Costo</label>
          <div class="col-sm-9">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold text-primary" id="costo" name="costo" value="" disabled>
          </div>
        </div>


        <div class="row">
          <label for="stock" class="col-sm-2 col-form-label" >Stock</label>
          <div class="col-sm-4">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold text-primary" id="stock" name="stock" value="" disabled>
          </div>
		  
		   <label for="relacion" class="col-sm-2 col-form-label" >UNI/PK</label>
          <div class="col-sm-3">
            <input autocomplete="off" type="text"  class="form-control mb-2 bold text-primary" id="pxp" name="pxp" value="" disabled>
          </div>
        </div>
          
         

                 

  


			  
			  
		  </form>
		  
		  </div>
          <div class="modal-footer">
            <!--button class="btn btn-success" type="button" onclick="grabar()"><i class="fa fa-w fa-save fa-lg"></i> ACTUALIZAR INVENTARIO</button-->
			  <button class="btn btn-warning" type="button" onclick="detallar()"><i class="fa fa-w fa-cubes fa-lg"></i> <b>DETALLAR</b></button>

                  <!--button class="btn btn-default" type="button" onclick="borrar()" id="delete"><i class="fa fa-w fa-trash"></i> BORRAR</button-->

            <a class="btn btn-default" data-dismiss="modal"> <i class="fa fa-w fa-home fa-lg"></i> Salir</a>
          </div>
        </div>
      </div>
    </div>



      <!---Modal recibir-->
  <div class="modal" id="modalRecibir" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="fa fa-w fa-edit"></i> Recibir este producto</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>


          <div class="modal-body">
            <b><span class="text-primary" id="rnombre"></span></b>
            <hr>
			
		
					
	
             <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-danger">Stock</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" disabled id="rstock" placeholder="Stock 0.00">
                           
                         </div> 
                           
                           <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" id="rcosto" placeholder="Costo: DOP 0.00">
                          </div> 
                           
                           <div class="col-md-4 mt-2">
                           <input type="number" class="form-control" disabled id="res" placeholder="TOTAL: DOP 0.00">
                          </div> 
                           
                                 
                        </div>

             <div class="row mt-2">
               <div class="col-md-2 mt-2">
                            <b class="text-danger">ITBIS</b>
               </div>

             <div class="col-sm-3">
            <input autocomplete="off" placeholder="% ITBIS" type="number" onBlur="setDefaultCalc()" ondblclick="cal_itbis()" class="form-control mb-2" id="itbis" name="itbis" value="">
          </div>

          <div class="col-sm-3">
            <input autocomplete="off" type="number"  onBlur="setDefaultCalc()" ondblclick="cal_utilidad()" placeholder="% Utilidad" class="form-control mb-2" id="utilidad" name="utilidad" value="">
          </div>

                   
    </div>

    <div class="row">
           <div class="col-md-2 mt-2">
                            <b class="text-primary bold">Precio </b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" id="rprecio" placeholder="0">
                        </div>
	
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" id="rprecio2" placeholder="Precio 2">
                        </div>	
    </div>

       <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-primary bold">Recibir</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" id="rcantidad" placeholder="0">
                        </div>
						

    </div>

      <div class="row">
                        <div class="col-md-2 mt-2">
                            <b>Concepto</b>
                        </div>
                        <div class="col-md-10 mt-2">
                           <input type="text" class="form-control" id="rconcepto">
    
                        </div>
          </div> 

          <hr>               
         <button class="btn btn-verde " onclick="recibir()" id="btngrabar"> <i class="bi bi-download"></i> Recibir mercancia</button>

         <a class="btn btn-default " href="#" onClick="$('.modal').modal('hide')"> <i class="fa fa-w fa-home"></i> Salir</a>
   



      </div>
          `
        </div>
      </div>
    </div>





      <!---Modal retirar-->
  <div class="modal" id="modalRetirar" data-backdrop="static" tabindex="-1" role="dialog" aria-labelledby="exampleModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-md" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <span class="modal-title text-success h3" id="exampleModalLabel"><i class="bi bi-upload"></i> Retirar este producto</span>
            <button class="close" type="button" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">×</span>
            </button>
          </div>


          <div class="modal-body">
            <b><span class="text-primary" id="rnombre2"></span></b>
            <hr>
             <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-danger">Stock</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" disabled id="rstock2" placeholder="Stock 0.00">
                           
                         </div> 
                           
                           <div class="col-md-3 mt-2">
                           <input type="number" class="form-control" disabled id="rcosto2" placeholder="Costo: DOP 0.00">
                          </div> 
                           
                           <div class="col-md-4 mt-2">
                           <input type="number" class="form-control" disabled id="res2" placeholder="TOTAL: DOP 0.00">
                          </div> 
                            </div>
                        <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-danger">Retirar</b>
                        </div>
                        <div class="col-md-3 mt-2">
                           <input type="number" class="form-control"  id="rcantidad2" placeholder=" 0.00">
                           
                         </div> 

                    </div>

                    <div class="row">
                        <div class="col-md-2 mt-2">
                            <b class="text-primary">Concepto</b>
                        </div>
                        <div class="col-md-8 mt-2">
                           <input type="text" class="form-control"  id="rconcepto2" placeholder="Especifique por que retira este producto">
                           
                         </div> 

                    </div>


          <hr>               
         <button class="btn btn-danger " onclick="retirar()"> <i class="fa fa-w fa-trash"></i> Retirar mercancia</button>

         <a class="btn btn-default " href="#" onClick="$('.modal').modal('hide')"> <i class="fa fa-w fa-home"></i> Salir</a>
   



      </div>
                      
              </div>


</div>
</div>
        <?php
        include_once("../footer.php");

        function state($est) {

            if ($est == "1") {
                $b = "<span class='badge badge-success'>Activo</span>";
            } else {

                $b = "<span class='badge badge-danger'>Inactivo</span>";
            }

            return $b;
        }
        ?>
            
<script>

function setDefaultCalc(){
  localStorage.setItem("itbis",$("#itbis").val());
  localStorage.setItem("utilidad",$("#utilidad").val());
}

getDefaultCalc();
function getDefaultCalc(){
$("#itbis").val(localStorage.getItem("itbis"));
 $("#utilidad").val(localStorage.getItem("utilidad"));
}
function cal_itbis(){
  var lprecio = $("#rprecio").val();
  var lcosto = $("#rcosto").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}

  var a = lcosto * litbis/100;
  var b = parseFloat(a )+ parseFloat(lcosto);
  $("#rcosto").val(b);

  


}

function cal_utilidad(){
  var lprecio = $("#rprecio").val();
  var lcosto = $("#rcosto").val();
  var litbis = $("#itbis").val();
  var lutilidad = $("#utilidad").val();

  if(lprecio==""){lprecio = 0;}
  if(lcosto==""){lcosto = 0;}
  if(litbis==""){litbis = 0;}
  if(lutilidad==""){lutilidad = 0;}


  var c = lcosto * lutilidad/100;
  var d = parseFloat(c) + parseFloat(lcosto);
  $("#rprecio").val(d);


}
///lista();
function lista(){

  try{
	  
   var almacen = $("#almacen").val(); 
   var filtro = $("#txt_buscar").val(); 
   if(filtro==""){
    ///alert("PORFAVOR COLOQUE AL MENOS 3 LETRAS INICIALES DEL PRODCUTO QUE DESEA BUSCAR...");
    ///return;
   }
    $("#lista").html("<b class='text-info'>Buscando datos espere...</b>");
  $.get("lista.php?almacen="+almacen+"&filtro="+filtro,function(data,st){
    if(st=="success"){
      $("#lista").html(data);
       $("#datos").html("<b>Inventario actual: </b>"+$("#lbCosto").html());
    }
  });
}catch(e){
  alert(e.message)
}
}

var id_inventario;
var lalmacen =""
var producto = ""
var codigo=""
function get_inventario(id){
  id_inventario = id;
  try{
  
  $.get("get_inventario.php?id="+id,function(data,st){
    if(st=="success"){
      data = JSON.parse(data);
      $("#precio").val(data.precio)
	   $("#precio2").val(data.precio2)
      $("#costo").val(data.costo)
      $("#stock").val(data.stock)
      $("#id").val(data.id)
      $("#nombre").val(data.nombre)
      $("#codigo").val(data.codigo)
	  $("#relacion").val(data.relacion_detalle)
	  $("#pxp").val(data.pxp)
     
     
    }
  });
}catch(e){
  alert(e.message)
}
}


function get_inventario2(id){

   id_inventario = id;

  try{
  
  $.get("get_inventario.php?id="+id,function(data,st){
    if(st=="success"){
      data = JSON.parse(data);
    $("#rprecio").val(data.precio)
	$("#rprecio2").val(data.precio2)
	$("#relacion").val(data.relacion_detalle)
	$("#pxp").val(data.pxp)
     //$("#precio2").val(data.precio2)
      $("#rcosto, #rcosto2").val(data.costo)
      $("#rstock, #rstock2").val(data.stock)
      $("#res, #res2").val(data.stock * data.costo)
      //$("#id").val(data.id)
      $("#rnombre, #rnombre2").html("<i class='fa fa-cubes fa-lg'></i> "+data.codigo+" - "+data.nombre)
      //$("#rcodigo").html(data.codigo)
     
      producto = data.nombre
      codigo = data.codigo
      lalmacen = data.almacen
     
      
     
    }
  });
}catch(e){
  alert(e.message)
}
}




function grabar(){
if(myLevel!="Master"){
	return;
}

if(!confirm("Seguro de actualizar este invnetario?")){return;}
var precio = $("#precio").val()
var precio2= $("#precio2").val()
var costo = $("#costo").val()
var nombre = $("#nombre").val()
var stock = $("#stock").val()
var codigo = $("#codigo").val()

if(precio2=="" || precio2==0){precio2=precio;}
var sql = "update inventario set costo='"+costo+"', precio='"+precio+"', precio2='"+precio2+"'";
sql+= ", descripcion='"+nombre+"', codigo='"+codigo+"', cantidad='"+stock+"'  where id_inventario='"+id_inventario+"'";

_enviar("../php/update.php",{sql:sql})
.done( function( data ){
 grabar2()
})
}



function grabar2(){
///if(!confirm("Seguro de actualizar este invnetario?")){return;}
var precio = $("#precio").val()
var precio2= $("#precio2").val()
var costo = $("#costo").val()
var codigo = $("#codigo").val()
var codigo0 = $("#codigo0").val()
var nombre = $("#nombre").val()
var stock = $("#stock").val()


if(precio2=="" || precio2==0){precio2=precio;}
 
var sql = "update productos set costo='"+costo+"', precio='"+precio+"', precio2='"+precio2+"',   where codigo='"+codigo+"'";

_enviar("../php/update.php",{sql:sql})
.done( function( data ){
  if(data=="1"){alert("Datos actualizados!");$(".modal").modal('hide');lista();}else{alert(data)}
})
}


function borrar(){



  if(!confirm("Seguro de eliminar este registro?")){return;}


   if(validAuth!="Ok"){
    modalAuth00(borrar);
    return;
  }   
 var sql = "delete from inventario where id_inventario='"+id_inventario+"'";

_enviar("../php/update.php",{sql:sql})
.done( function( data ){
  if(data=="1"){alert("Datos actualizados!");$(".modal").modal('hide');lista();}else{alert(data)}
})
}


function recibir(){
       var cantidad = $("#rcantidad").val()
        var concepto = $("#rconcepto").val()
        var itbis = $("#itbis").val()
        var nombre= producto
        var precio = $("#rprecio").val()
		 var precio2 = $("#rprecio2").val()
        var costo = $("#rcosto").val()

        var almacen = lalmacen
        
         var costo = $("#rcosto").val()
        var impuesto = 0;
         if(!confirm("Seguro(a) que desea registrar este movimiento?")){return;}   
$("#btngrabar").prop("disabled", true)		 
if(nombre=="" || cantidad=="" || almacen==""){alert('Faltan datos'); return}
      var sql="";                            
       
            sql="INSERT INTO kardex set ";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", cantidad='"+cantidad+"'";
            sql+=", fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", concepto='"+concepto+"'";
            sql+=", tipo='"+"Recibido"+"'";
            sql+=", almacen='"+almacen+"'";
      sql+=", usuario='"+myUser+"'";
        
           
   
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       updatate_stock(id_inventario,cantidad, codigo, nombre, costo, precio, precio2, almacen, itbis)
       
      }else{
          alert(data);
          
      }
       
    })

  }


function updatate_stock(id,cantidad, codigo, descripcion, costo, precio, precio2, almacen, impuesto){

  var sql="";
            sql="update inventario set ";
          

            sql+=" cantidad=cantidad + '"+cantidad+"'";
            sql+=", codigo='"+codigo+"'";  
            sql+=", descripcion='"+descripcion+"'";  
            sql+=", costo='"+costo+"'"; 
            sql+=", precio='"+$("#rprecio").val()+"'";
			 sql+=", precio2='"+$("#rprecio2").val()+"'";
            sql+=", tipo_impuestos='"+impuesto+"'";
            ///sql+=", valor_impuestos='"+valor_impuestos+"'";
            sql+=", almacen='"+almacen+"'";
            sql+=", impuesto='"+impuesto+"'";           
            sql+=" WHERE id_inventario='"+id+"'";

           
   
        
    _enviar("../php/update.php",{"sql":sql})

    .done(function( data ){
      
      if(data=="1"){
      /// alert("Registro grabado");
        
        id_inventario="";  
		$("#codigo").val(codigo)
		$("#nombre").val(descripcion)
		$("#precio").val(precio)		
        barcode()
		
      setTimeout(function(){
		  window.location.reload()
	  },2000)	  
        
       
      }else{
          alert(data);
          
      }
       
    })

    


}
    



function retirar(){
        var cantidad = $("#rcantidad2").val()
        var concepto = $("#rconcepto2").val()
        var itbis = $("#itbis").val()
        var nombre= producto
        var precio = $("#rprecio").val()
        var costo = $("#rcosto").val()

        var almacen = lalmacen
        
         var costo = $("#rcosto").val()
        var impuesto = 0;
      
if(nombre=="" || cantidad=="" || almacen=="" || concepto==""){alert('Faltan datos'); return}
  

  if(validAuth!="Ok"){
    modalAuth00(retirar);
    return;
  }   

    if(!confirm("Seguro(a) que desea registrar este movimiento?")){return;}  

      var sql="";                      
       
            sql="INSERT INTO kardex set ";
            sql+=" descripcion='"+nombre+"'";
            sql+=", codigo='"+codigo+"'";
            sql+=", cantidad='"+cantidad+"'";
            sql+=", fecha=NOW()";
            sql+=", hora=NOW()";
            sql+=", concepto='"+concepto+"'";
            sql+=", tipo='"+"Retirado"+"'";
            sql+=", almacen='"+almacen+"'";
            sql+=", usuario='"+myUser+"'";
        
           
   
        
    _enviar("../php/update.php",{"sql":sql})
    .done(function( data ){
      //var rs = JSON.parse(data);
      if(data=="1"){
       updatate_stock2(id_inventario,cantidad, codigo, nombre, costo, precio, almacen, itbis)
       
      }else{
          alert(data);
          
      }
       
    })

  }



 
 

function updatate_stock2(id,cantidad, codigo, descripcion, costo, precio, almacen, impuesto){

  var sql="";
            sql="update inventario set ";
          

            sql+=" cantidad=cantidad - '"+cantidad+"'";
            
            sql+=" WHERE id_inventario='"+id+"'";

           
   
        
    _enviar("../php/update.php",{"sql":sql})

    .done(function( data ){
      
      if(data=="1"){
       alert("Registro grabado");
        $(".form-control").val("")
        id_inventario="";       
        window.location.reload()
       
      }else{
          alert(data);
          
      }
       
    })

    


}
    

function detallar(){
	var relacion = $("#relacion").val();
	var codigo = $("#codigo").val();
	var pxp = $("#pxp").val();
	if(relacion=="" ||  codigo=="" || pxp=="0"){alert("NO HAY PRODUCTO RELACIONADO"); return;}
	if(!confirm("SEGURO QUE DESEA DETALLAR ESTE PRODUCTO?")){return;}
	
	var param = "relacion="+relacion;
		param += "&codigo="+codigo;
		param += "&pxp="+pxp;
		$(".btn").prop("disabled", true);
		$.get("detallar.php?"+param,function(data, st){
			if(st=="success"){
				if(data=="1"){
					alert("INFORMACION PROCESADA")
				}else{
					alert(data)
				}
			}
			$(".btn").prop("disabled", false);
		})
		
	
	
}


$("#txt_buscar").focus()
		
$("#txt_buscar").select()
$("#txt_buscar").on("keypress", function(){
  uniKeyCode(event);
})

window.addEventListener("keydown",tecla,false);


 function uniKeyCode(event) {
  var key = event.keyCode;
  //alert("Unicode KEY code: " + key);
  if(key=="13"){
	
		////if($("#txt_buscar").val()!=""){
			filtrar();
		///}
	
	  }
  
}
 function barcode(){
	var param = "codigo="+$("#codigo").val()
	 param += "&descripcion="+$("#nombre").val()
    param += "&precio="+$("#precio").val()
	
    window.open('codigos.php?'+param,'_blank', 'toolbar=no,scrollbars=no,resizable=no,top=500,left=500,width=400,height=850');

  }

        </script>

